Subject: Re: [PATCH 2/2] powerpc: Add IPIC MSI support

From: Michael Ellerman <[email-masked]>
Date: Fri, 14 Dec 2007 20:40:23 +1100

On Fri, 2007-12-14 at 02:52 -0600, Kumar Gala wrote:
> On Dec 14, 2007, at 2:47 AM, Li Tony wrote:
> 
> >
> > Hi,
> >
> > I think it is possible to make common code to support both IPIC and  
> > MPIC.
> > Currently, the MPIC has already implemented MSI which is different  
> > from IPIC and embedded into the mpic code body.
> > If want to unifiy MSI code, we need to remove the current MPIC MSI  
> > implementation.
> 
> The MPIC is going to have to support several MSI styles (IBM/U3,  
> PaSemi, and FSL) since we all seem to handle it differently.

I haven't really looked at the similarities or differences, but I think
Kumar is right, MPIC is going to have to (and already does) support
different styles.

If there's some commonality that can be shared I'm all ears, patches
welcome ;)

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person